Page MenuHomePhabricator

HTTPS performance & UA adoption metrics
Closed, ResolvedPublic

Description

We're currently flying mostly blind as far HTTPS metrics go; we don't know, for example, what percentage of users supports which versions of TLS or ciphers, or (soon) SPDY/HTTP2. We do have some NavTiming metrics but we don't have a great way of displaying these (dashboards).

We should get more insight there. I've previously experimented with nginx lua + statsd plugin that logged ciphers & protocols and it did work fine but we should think of it more eloquently and deploy it. Probably blocked on T86648.

Event Timeline

faidon created this task.Jan 13 2015, 2:44 PM
faidon raised the priority of this task from to Normal.
faidon updated the task description. (Show Details)
faidon added subscribers: Aklapper, faidon, mark, BBlack.
Sj added a subscriber: Sj.Mar 25 2015, 4:42 AM
BBlack set Security to None.
Nemo_bis added a subscriber: Nemo_bis.EditedApr 28 2015, 6:05 AM

Thanks for creating this task. It would be even nicer if the description mentioned *all* the research that is needed or ongoing before the big red switch for T49832 is turned. Just titles would suffice. With its current definition the task is too vague, it may range from few hours of work to add some graph for existing data to years of work for entire university departments. :)

For instance, per-country errors %, per-project errors %, per-country navtiming, per-project navtiming, editor retention, editor activation, bounce rate, number or link clicks, ...? (Some unlikely, e.g. bounce rate.)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 7 2015, 4:57 PM
BBlack closed this task as Resolved.Aug 7 2015, 4:59 PM
BBlack claimed this task.

We're not exactly flying blind anymore. Analytics has done a bunch of independent analysis post-switch. We've got cipher/protocol/sessionid metrics going to graphite and tessera, and of course since we're past the switch date we can already see the raw perf impact everywhere else. Considering this done.

BBlack moved this task from Triage to Done on the Traffic board.Aug 27 2015, 2:42 AM